# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rs-broker"
version = "1.0.3"
authors = ["daheige"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "rust broker"
documentation = "https://docs.rs/rs-broker/"
readme = "README.md"
keywords = [
    "broker",
    "rs-broker",
    "rust-broker",
    "kafka",
    "broker-mq",
]
license = "MIT"
repository = "https://github.com/rs-god/rs-broker"

[lib]
name = "rs_broker"
path = "src/lib.rs"

[[example]]
name = "publish_basic"
path = "examples/publish_basic.rs"

[[example]]
name = "sub_basic"
path = "examples/sub_basic.rs"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.env_logger]
version = "0.11.10"

[dependencies.futures]
version = "0.3.32"

[dependencies.log]
version = "0.4.29"

[dependencies.rdkafka]
version = "0.39.0"
features = [
    "cmake-build",
    "sasl",
    "ssl",
]

[dependencies.tokio]
version = "1.52.3"
features = ["full"]
